unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//zapis 10 liczb typu Integer do pliku
procedure TForm1.Button1Click(Sender: TObject);
var tab: array[1..10] of integer;
    plik: TFileStream;
    i: integer;
begin
   Randomize;
   for i:=1 to 10 do tab[i]:=Random(20);
   try
     plik:=TFileStream.Create('liczby.int',fmCreate);
     try
       plik.Write(tab,SizeOf(tab));
       ShowMessage('Plik liczby.int zapisany');
     finally
       plik.Free
     end;
   except
      ShowMessage('Nie można utworzyć pliku');
   end;

end;

//odczyt 10 liczb typu Integer z pliku
procedure TForm1.Button2Click(Sender: TObject);
var tab: array[1..10] of Integer;
    plik: TFileStream;
    i: integer;
begin
  Label1.Caption:='';
  try
    plik:=TFileStream.Create('liczby.int',fmOpenRead);
    try
      plik.Read(tab,SizeOf(tab)); //odczyt 10 znakow
      for i := 1 to 10 do Label1.Caption:=Label1.Caption+InttoStr(tab[i])+#13;
    finally
      plik.Free;
    end;
  except
    ShowMessage('Plik liczby.int niedostępny');
  end;
end;

end.
